org.keycloak.models.entities

## Class ApplicationEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientEntity
    - - org.keycloak.models.entities.ApplicationEntity

- Direct Known Subclasses:
    MongoApplicationEntity

      public class ApplicationEntity
      extends ClientEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUrl()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getManagementUrl()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isSurrogateAuthRequired()`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setDefaultRoles(List<String> defaultRoles)`
    `void` | `setManagementUrl(String managementUrl)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`

    - ### Methods inherited from class org.keycloak.models.entities.ClientEntity

      `getAllowedClaimsMask, getName, getNotBefore, getRealmId, getRedirectUris, getScopeIds, getSecret, getWebOrigins, isEnabled, isFullScopeAllowed, isPublicClient, setAllowedClaimsMask, setEnabled, setFullScopeAllowed, setName, setNotBefore, setPublicClient, setRealmId, setRedirectUris, setScopeIds, setSecret, setWebOrigins`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationEntity

          public ApplicationEntity()

  - ### Method Detail

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getManagementUrl

          public String getManagementUrl()

    - #### setManagementUrl

          public void setManagementUrl(String managementUrl)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(List<String> defaultRoles)

Copyright © 2014. All Rights Reserved.